chrome.runtime.onMessage.addListener((message, sender, sendResponse) => {
    if (message.action === "downloadLog") {
        chrome.storage.local.get('logData', (result) => {
            const logData = result.logData || {};
            const logJson = JSON.stringify(logData, null, 2);
            const blob = new Blob([logJson], { type: 'application/json' });
            const reader = new FileReader();
            reader.onloadend = () => {
                const base64Data = reader.result.split(',')[1];
                chrome.downloads.download({
                    url: 'data:application/json;base64,' + base64Data,
                    filename: 'log.json',
                    saveAs: true
                }, (downloadId) => {
                    if (chrome.runtime.lastError) {
                        console.error('Download error:', chrome.runtime.lastError.message);
                    } else {
                        console.log('Download started with ID:', downloadId);
                    }
                });
            };
            reader.readAsDataURL(blob);
        });
    }
});
