import json
import matplotlib.pyplot as plt
labels = []
bad_words = []
total_words = []
file_path = './log.json'
with open(file_path, 'r',encoding='utf-8') as file:
    data = json.load(file)

for site, stats in data.items():
    labels.append(site)
    bad_words.append(stats['TotalBadWords'])
    total_words.append(stats['TotalWordsOnSite'] - stats['TotalBadWords'])
num_sites = len(labels)

fig, axs = plt.subplots(1, num_sites, figsize=(5 * num_sites, 5))
if num_sites == 1:
    axs = [axs]

for i, site in enumerate(labels):
    site_bad_words = bad_words[i]
    site_other_words = total_words[i]
    sizes = [site_bad_words, site_other_words]
    labels_pie = ['Ружне речи', 'Остале речи']
    axs[i].pie(sizes, labels=labels_pie, autopct='%1.1f%%', startangle=90, colors=['red', 'green'])
    axs[i].axis('equal')
    axs[i].set_title(site)

plt.suptitle('Број ружних речи насупрот укупном броју речи')
plt.tight_layout()
plt.show()